apiVersion: policy/v1beta1
kind: PodSecurityPolicy
metadata:
  name: privileged-{{ namespace }}-{{ fluentd_name }}
spec:
  allowPrivilegeEscalation: true
  allowedHostPaths:
  - pathPrefix: /var/log
  - pathPrefix: /run/log
  - pathPrefix: /etc/localtime
    readOnly: true
  fsGroup:
    rule: RunAsAny
  privileged: true
  requiredDropCapabilities:
  - ALL
  runAsUser:
    rule: RunAsAny
  seLinux:
    rule: RunAsAny
  supplementalGroups:
    rule: RunAsAny
  volumes:
  - configMap
  - downwardAPI
  - emptyDir
  - hostPath
  - persistentVolumeClaim
  - projected
  - secret
